package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 涂装工单条码-展示组件(产品包装)model
 * @Reference :
 * @Author : adair.song
 * @CreateDate : 2020-06-21 11:02
 * @Modify:
 **/
@Data
@Api("产品包装model")
public class ProdPackModel implements Serializable {

    // 产品条码表--产品条码
    @ApiParam("产品条码")
    public String productSn;

    // 包装主表--包装编号
    @ApiParam("一检箱条码")
    public String packageNo;

    // 包装明细表--创建时间
    @ApiParam("一检校验时间")
    public String createDatetime;

    // 包装主表--打印状态(10：未打印 20：已打印)
    @ApiParam("箱条码状态")
    public Integer printStatus;

    // 涂装客户标签打印
    @ApiParam("客户标签")
    public String custSn;

    // 涂装客户标签打印
    @ApiParam("当前工序")
    public String processCode;

    // 涂装客户标签打印
    @ApiParam("更新时间")
    public String modifyDateTime;

    @ApiParam("工单号")
    public String workOrderNo;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("物料号")
    public String parentPartNo;

    public ProdPackModel() {
    }

    public ProdPackModel(String productSn, String packageNo, String createDatetime, Integer printStatus) {
        this.productSn = productSn;
        this.packageNo = packageNo;
        this.createDatetime = createDatetime;
        this.printStatus = printStatus;
    }

    public ProdPackModel(String productSn, String packageNo, String custSn, String processCode, String modifyDateTime) {
        this.productSn = productSn;
        this.packageNo = packageNo;
        this.custSn = custSn;
        this.processCode = processCode;
        this.modifyDateTime = modifyDateTime;
    }
}
